Create a health goal
curl --request POST \
--url https://api.foreverbetter.xyz/users/{user_id}/goals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"organization_id": "<string>",
"metric": "<string>",
"target_value": 123,
"target_unit": "<string>",
"due_date": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.foreverbetter.xyz/users/{user_id}/goals"
payload = {
"title": "<string>",
"organization_id": "<string>",
"metric": "<string>",
"target_value": 123,
"target_unit": "<string>",
"due_date": "<string>",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
organization_id: '<string>',
metric: '<string>',
target_value: 123,
target_unit: '<string>',
due_date: '<string>',
note: '<string>'
})
};
fetch('https://api.foreverbetter.xyz/users/{user_id}/goals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Create a health goal
Create a health goal (target metric, direction, value, and optional due date) for a user.
POST
/
users
/
{user_id}
/
goals
Create a health goal
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Minimum string length:
1Marker or domain the goal targets, e.g. apob or body_fat_percent.
Available options:
decrease, increase, maintain ISO date the user is aiming for.
Response
Created
⌘I